/* galerkin.h: Galerkin Radiosity */

#ifndef _GALERKIN_H_
#define _GALERKIN_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "radiance.h"
extern RADIANCEMETHOD GalerkinRadiosity;

extern COLOR GAL_GetDirectRadiance(PATCH *patch, double u, double v, VECTOR dir);
extern COLOR GAL_GetIndirectRadiance(PATCH *patch, double u, double v, VECTOR dir);
extern COLOR GAL_GetSeWeight(PATCH *patch, double u, double v, VECTOR dir);
extern COLOR GAL_GetAccuracy(PATCH *patch, double u, double v, VECTOR dir);

#ifdef __cplusplus
}
#endif

#endif /*_GALERKIN_H_*/
